VSTGUI: IDragCallback Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
IDragCallback Class Referenceabstract
New classes » Version 4.7

Drag callback interface. More...

`#include <dragging.h>`

Inheritance diagram for IDragCallback:

## Public Member Functions
virtual void | dragWillBegin (IDraggingSession *session, CPoint pos)=0
| the drag will begin More...
virtual void | dragMoved (IDraggingSession *session, CPoint pos)=0
| the drag was moved More...
virtual void | dragEnded (IDraggingSession *session, CPoint pos, DragOperation result)=0
| the drag ended More...
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...

## Detailed Description

Drag callback interface.

An optional interface to be used when initiating a drag to know where the mouse is and what the result of the drag was.

## Member Function Documentation

## ◆ dragEnded()

virtual void dragEnded | ( | IDraggingSession * | session,
|  | CPoint | pos,
|  | DragOperation | result
| ) |  |
| pure virtual

the drag ended

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates
  result | the result of the drag

Implemented in DragCallbackAdapter, and DragCallbackFunctions.

## ◆ dragMoved()

virtual void dragMoved | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| pure virtual

the drag was moved

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implemented in DragCallbackAdapter, and DragCallbackFunctions.

## ◆ dragWillBegin()

virtual void dragWillBegin | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| pure virtual

the drag will begin

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implemented in DragCallbackAdapter, and DragCallbackFunctions.

The documentation for this class was generated from the following file:

- dragging.h